## org.metaabm
Interface ILabeled

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface ILabeled

extends org.eclipse.emf.ecore.EObject

A representation of the model object ' ILabeled'.

Author:
  Miles Parker *

  The following features are supported:

  - `Label`
See Also:
  `org.metaabmPackage#getILabeled()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getLabel()` Returns the value of the 'Label' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getLabel

    java.lang.String getLabel()

  Returns the value of the 'Label' attribute. The default value is `""`.

  If the meaning of the 'Label' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Label' attribute.
  See Also:
    `org.metaabmPackage#getILabeled_Label()`